xine-lib (SSA:2007-109-02)
Posted on: 04/20/2007 11:26 AM

New xine-lib packages are available for Slackware 10.0, 10.1, 10.2, 11.0, and -current to fix security issues.

More details about this issue may be found in the Common Vulnerabilities and Exposures (CVE) database:

Here are the details from the Slackware 11.0 ChangeLog:
Upgraded to xine-lib-1.1.6.
This fixes overflows in xine-lib in some little-used media formats in
xine-lib lt; 1.1.5 and other bugs in xine-lib lt; 1.1.6. The overflows in
xine-lib lt; 1.1.5 could definitely cause an application using xine-lib to
crash, and it is theorized that a malicious media file could be made to run
arbitrary code in the context of the user running the application.
For more information, see:
(* Security fix *)

Where to find the new packages:

HINT: Getting slow download speeds from Give a try. This is another primary FTP site for Slackware that can be considerably faster than downloading from

Thanks to the friendly folks at the OSU Open Source Lab ( for donating additional FTP and rsync hosting to the Slackware project! :-)

Also see the "Get Slack" section on for additional mirror sites near you.

Updated package for Slackware 10.0:

Updated package for Slackware 10.1:

Updated package for Slackware 10.2:

Updated package for Slackware 11.0:

Updated package for Slackware -current:

MD5 signatures:

Slackware 10.0 package:
a4fac5c1692d7e3e693d33485d8f238b xine-lib-1.1.6-i686-1_slack10.0.tgz

Slackware 10.1 package:
f1b482bc314e827946be08249a7a1f67 xine-lib-1.1.6-i686-1_slack10.1.tgz

Slackware 10.2 package:
84cef008726751072a0ebcfeb861e4fa xine-lib-1.1.6-i686-1_slack10.2.tgz

Slackware 11.0 package:
a9001ed332e1f09c53e2de90b9ff652a xine-lib-1.1.6-i686-1_slack11.0.tgz

Slackware -current package:
751958cb4eb3067130633294af25f365 xine-lib-1.1.6-i686-2.tgz

Installation instructions:

Upgrade the package as root:
# upgradepkg xine-lib-1.1.6-i686-1_slack11.0.tgz


Slackware Linux Security Team

Printed from Linux Compatible (